Ticket #229 (closed bug: wontfix)

Opened 5 years ago

Last modified 3 years ago

AF8/AF12: ffado-mixer settings should be sticky after power cycle

Reported by: ppalmers Assigned to:
Priority: minor Milestone: FFADO 2.1
Component: Version: FFADO 2.0-rc2 (1.999.42)
Keywords: AF8, AF12 Cc:
The device the bug applies to:

Change History

09/13/09 12:16:31 changed by arnonym

  • milestone changed from FFADO 2.0 to FFADO 2.1.

Don't know what ppalmers means with this, but I think ffado-mixer should always represent the hard-ware state. So if the hardware changes its state during a power-cycle, the mixer should change accordingly.

03/28/12 04:05:15 changed by jwoithe

A agree in principle with what Arnold says: if the hardware state changes for whatever reason, ffado-mixer should initialise itself with the current device state. This I believe is what happens now when ffado-mixer is explicitly restarted (that it, it gets its state from the device). Similarly, if the device is power-cycled when ffado-mixer is running and assuming ffado-mixer is able to re-establish communication with the device without restarting, my understanding is that the hardware state is what will be reflected by the mixer.

Is there any aspect of this which doesn't seem to work as expected? If not this ticket should probably be closed.

04/27/12 07:02:29 changed by jwoithe

  • status changed from new to closed.
  • resolution set to wontfix.

Given that the meaning of this ticket is unclear and there's been no feedback received over the past month I'm closing this as "wontfix". If further information comes to light the ticket can be re-opened.